ShopLens-Lite
Introduction
This API is a lighter version of ShopLens API. This API allows users to extract merchant details from images/pdf urls. It accepts a list of images and returns information about the merchant fetched from the banner and inventory image, such as the shop name, isMovable, Liveness Check, shopBoardType etc.
API details
Code samples
curl --location 'https://api-preproduction.signzy.app/api/v3/extraction/merchant-detail-lite' \
--header 'Content-Type: application/json' \
--header 'Authorization: <auth_key>' \
--data '{
"shopFrontImage": "https://preproduction-persist.signzy.tech/api/files/41612025/download/XXXX.jpg",
"inventoryImage": "https://preproduction-persist.signzy.tech/api/files/41612025/download/XXXX.jpg"
}'Endpoint
POST https://api.signzy.app/api/v3/extraction/merchant-detail-litePOST https://api-preproduction.signzy.app/api/v3/extraction/merchant-detail-liteRequest headers:
Name | Value | Required | Description |
|---|---|---|---|
Content-Type | application/json | Yes | The type of content that the request body contains. |
Authorization | XXXXXXXXXXX | Yes | An authentication token to authorize the request. Reach out to the Signzy support team to get one created. |
Request body:
{
"shopFrontImage":"https://preproduction-persist.signzy.tech/api/files/41612025/download/xxxx.jpg",
"inventoryImage":"https://preproduction-persist.signzy.tech/api/files/41612025/download/xxxx.jpg"
}Request body parameters:
Parameter | Data Type | Description | Required |
|---|---|---|---|
shopFrontImage | String | URL of the Shop Front Image, You can use Signzy's Persist API to do the same as well. | Yes |
inventoryImage | String | URL of the Inventory Image, You can use Signzy's Persist API to do the same as well. | No |
Response Body:
{
"shopNameExtracted": "सत्यम् किराणा स्टोअर्स",
"shopNameEnglish": "Satyam Kirana Stores",
"shopBoardType": "Permanent",
"shopDetected": "True",
"inventoryDetected": "True",
"faceDetected": "True",
"isMovable": "False",
"shopImageLivenessCheck": "True",
"shopImageLivenessConfidenceScore": 95,
"inventoryImageLivenessCheck": "True",
"inventoryImageLivenessConfidenceScore": 85,
"waterMarkDetectedForShopImage": "False",
"waterMarkDetectedForInventoryImage": "False",
"confidenceScore": 100
}Response body parameters
Parameter | Data Type | Description |
|---|---|---|
shopNameExtracted | String | Name of the shop in original language |
shopNameEnglish | String | Name of the shop in english translation. |
shopBoardType | String | Either Permanent, Flex, Standee or NA |
shopDetected | Boolean | If detected the shop or not |
inventoryDetected | Boolean | Inventory detected or not |
faceDetected | Boolean | Face detected or not |
isMovable | Boolean | Bool value based on mobility |
shopImageLivenessCheck | Boolean | Check if the Shop image is live or not |
shopImageLivenessConfidenceScore | Number | Gives confidence score from 1-100 for liveness of shopImage |
inventoryImageLivenessCheck | Boolean | Check if the Inventory image is live or not |
inventoryImageLivenessConfidenceScore | Number | Gives confidence score from 1-100 for liveness of inventoryImage |
waterMarkDetectedForShopImage | Boolean | Checks if watermark detected in Shop Image |
waterMarkDetectedForInventoryImage | Boolean | Checks if watermark detected in Inventory Image |
confidenceScore | Number | This is a score between 1-100. Higher the score, more the validity of the shop image; based on legitimacy, permanence of shop and liveness of image |
Contact Us for Any Assistance
If you have any questions or need assistance, please reach out to our customer support team. You can contact us via email at [email protected]. We strive to provide prompt and reliable assistance, ensuring your queries are addressed effectively.
We value your feedback and are committed to making your experience smooth and enjoyable. Our team is dedicated to assisting you with any needs you may have. Thank you for choosing our services. We look forward to helping you!